﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: false
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	' Aqui, iremos usar um banco de dados que armazena os dados referentes aos estados, cidades do brasil.
	Dim objSql As SQL
	Dim objSqlDataBasePath As String
	Dim objSqlDataBaseFile As String

End Sub


Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	objSqlDataBasePath = File.DirDefaultExternal
	objSqlDataBaseFile = "ibge.db"
		
	'
	' Se banco de dados não existe, iremos copiar do diretório de assets.
	'
	If File.Exists(objSqlDataBasePath, "ibge.db") = False Then
		File.Copy(File.DirAssets, "ibge.db", objSqlDataBasePath, "ibge.db")
	End If
			
	objSql.Initialize(objSqlDataBasePath, "ibge.db", False)
	
	#if 0
	
	' Vamos verificar se há registros no banco de dados.
	Dim objIbge As IbgeWebService
	objIbge.Initialize
	
	Wait For (objIbge.GetIbgeEstados) Complete(listaEstado As List)
	listaEstado.SortType("sigla", True)
	If listaEstado <> Null Then
		For Each estado As IbgeEstado In listaEstado
			'Log(estado)		
		Next
	End If
	
	#end if

End Sub

Sub Service_Start (StartingIntent As Intent)
	Log("Service_Start")

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
	Log("Service_Destroy")
End Sub
