﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8
@EndOfDesignText@
Sub Class_Globals
	Private const IBGE_ESTADOS As String = "https://servicodados.ibge.gov.br/api/v1/localidades/estados"
	
	Type IbgeEstado  (id As Long, nome As String, sigla As String, regiao_id As Long)
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	
End Sub

Public Sub GetIbgeEstados() As ResumableSub
	Dim objHttp As HttpJob
	objHttp.Initialize("", Me)
	
	objHttp.Download(IBGE_ESTADOS)
	Wait For (objHttp) JobDone(objHttp As HttpJob)
	If objHttp.Success Then
		Dim listaIbgeEstados As List				
		listaIbgeEstados.Initialize		
			
		Dim parser As JSONParser
		parser.Initialize(objHttp.GetString)
		Dim root As List = parser.NextArray
		
		For Each colroot As Map In root
			Dim objIbgeEstado As IbgeEstado
			objIbgeEstado.Initialize
						
			objIbgeEstado.sigla = colroot.Get("sigla")
			objIbgeEstado.nome = colroot.Get("nome")
			objIbgeEstado.id = colroot.Get("id")
			
			Dim regiao As Map = colroot.Get("regiao")
			objIbgeEstado.regiao_id = regiao.Get("id")
			
			listaIbgeEstados.Add(objIbgeEstado)
			
		Next
		
		objHttp.Release
		
		Return listaIbgeEstados		
		
	Else
		Return Null
	End If	
	
End Sub

