﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=8
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private objViaCep As ViaCep

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private btnCepLocalizar As Button
	Private txtCep As EditText	
	Private lvwCep As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("endereco_cep_layout")
	objViaCep.Initialize
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


Sub txtCep_TextChanged (Old As String, New As String)
End Sub

Sub txtCep_EnterPressed
	
End Sub

Sub txtCep_FocusChanged (HasFocus As Boolean)

End Sub

Sub btnCepLocalizar_Click
	btnCepLocalizar.Enabled = False
	
	Dim strCep As String = txtCep.Text
	
	Dim corFundo As ColorDrawable
	corFundo.Initialize(0x4682B4, 0)
	
	Dim corTexto As ColorDrawable
	corTexto.Initialize(Colors.Blue, 0)
	
	lvwCep.Clear
	'lvwCep.Color = 0x4682B4
	'lvwCep.Background = corTexto
	'lvwCep.TwoLinesLayout.Background = corFundo
	
	
	
	ProgressDialogShow("Aguarde, processando...")
	wait for (objViaCep.ObterEnderecoCep(strCep)) Complete(objViaCepTipo As ViaCepTipo)
	If objViaCepTipo.error.IsError Then
				
		Dim strErro As String = objViaCepTipo.error.ErrorMsg
		strErro = "Erro: " & strErro
		ToastMessageShow(strErro, True)
	Else
				
		lvwCep.AddTwoLines("CEP", objViaCepTipo.cep)
		lvwCep.AddTwoLines("UF", objViaCepTipo.uf)
		lvwCep.AddTwoLines("Localidade", objViaCepTipo.localidade)
		lvwCep.AddTwoLines("Bairro", objViaCepTipo.bairro)
		lvwCep.AddTwoLines("Logradouro", objViaCepTipo.Logradouro)
		lvwCep.AddTwoLines("IBGE", objViaCepTipo.ibge)
		lvwCep.AddTwoLines("Unidade", objViaCepTipo.unidade)
		lvwCep.AddTwoLines("Gia", objViaCepTipo.gia)
		lvwCep.AddTwoLines("Complemento", objViaCepTipo.complemento)
				
	End If
	ProgressDialogHide()
	
	btnCepLocalizar.Enabled = True
End Sub
